/*
 * Licensed Materials - Property of IBM Corp.
 * IBM UrbanCode Deploy
 * IBM Urbancode Release
 * (c) Copyright IBM Corporation 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by
 * GSA ADP Schedule Contract with IBM Corp.
 */

import com.urbancode.air.AirPluginTool
import com.urbancode.air.plugin.salesforce.SalesForceHelper

final airTool = new AirPluginTool(args[0], args[1])
final def props = airTool.getStepProperties()

final def workDir = new File('.').canonicalFile

def password = props['password']
def username = props['username']
def serverUrl = props['serverUrl']
def deployRoot = props['deployRoot']
def isRollback = Boolean.valueOf(props['isRollback'])

def deployRootPath = null

if (new File(deployRoot).isAbsolute()) {
    deployRootPath = deployRoot.canonicalPath
}
else {
    deployRootPath = new File(workDir, deployRoot).canonicalPath
}

def helper = new SalesForceHelper(props)
AntBuilder ant = helper.buildAnt()

ant.taskdef name: "sfDeploy", classname: "com.salesforce.ant.DeployTask"
ant.sfDeploy(
        username: username,
        password: password,
        serverurl: serverUrl,
        deployRoot: deployRootPath,
        rollbackOnError: isRollback
)

//deployRoot: "tools/sample/codepkg",